Subject: Re: bug#16999: calc crashes when computation limit is increased

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Sep 2020 14:19:17 +0200

Florian Beck <[email-masked]> writes:

> M-x calc
> 2n
> 0
> kc
>
> I.e. try to calculate the binomial coefficient of (-2 0). This doesn't
> work and calc suggests you give it more time:
>
> Computation got stuck or ran too long.  Type `M' to increase the limit
>
> So do
>
> M
> kc
>
> and repeat a couple of times.
>
> Once `max-lisp-eval-depth' hits 64000 emacs crashes.

It seems like this problem has been fixed by the general C stack
protection.  Trying this in Emacs 28 I just get:

  Re-entering top level after C stack overflow

So I'm closing this bug report.  If this is still a problem, please
respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no